<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: Matrix3 Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dca/class_matrix3.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Matrix3 Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afb1d1e5f93a16088273f76ab8968119d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#afb1d1e5f93a16088273f76ab8968119d">Matrix3</a> ()</td></tr>
<tr class="separator:afb1d1e5f93a16088273f76ab8968119d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9c4e46bf6a7fe0a3e399ae928bd6bc1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#ac9c4e46bf6a7fe0a3e399ae928bd6bc1">Set</a> (int _index, vector _value)</td></tr>
<tr class="separator:ac9c4e46bf6a7fe0a3e399ae928bd6bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0014d8d6919c655bdcffeeb3d6b977d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a0014d8d6919c655bdcffeeb3d6b977d1">Set</a> (int _index, string _value)</td></tr>
<tr class="separator:a0014d8d6919c655bdcffeeb3d6b977d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaaba2ae21336edd4a92b775a0662887"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#afaaba2ae21336edd4a92b775a0662887">Get</a> (int _index)</td></tr>
<tr class="separator:afaaba2ae21336edd4a92b775a0662887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec390f63749a4ba555dcab43f06c0981"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#aec390f63749a4ba555dcab43f06c0981">Update</a> ()</td></tr>
<tr class="separator:aec390f63749a4ba555dcab43f06c0981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61f79a9de385fabe313e2155a52f365c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a61f79a9de385fabe313e2155a52f365c">ToQuaternion</a> (out <a class="el" href="../../dc/de3/class_quaternion.html">Quaternion</a> quat)</td></tr>
<tr class="separator:a61f79a9de385fabe313e2155a52f365c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ecc0b348cfa0e4923edf0bf4754efd5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a8ecc0b348cfa0e4923edf0bf4754efd5">Invert</a> ()</td></tr>
<tr class="separator:a8ecc0b348cfa0e4923edf0bf4754efd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a617bad1cdd7cd30638ac380098dac84c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a617bad1cdd7cd30638ac380098dac84c">Scaled</a> (vector scale)</td></tr>
<tr class="separator:a617bad1cdd7cd30638ac380098dac84c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45d804698e5fcb3fc2abe65de5653caf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a45d804698e5fcb3fc2abe65de5653caf">Transpose</a> ()</td></tr>
<tr class="separator:a45d804698e5fcb3fc2abe65de5653caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae54a4f20b2699735ca146fc099612865"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#ae54a4f20b2699735ca146fc099612865">Adjoint</a> ()</td></tr>
<tr class="separator:ae54a4f20b2699735ca146fc099612865"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c05ee439631ee68d860df2d81ed4c75"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a0c05ee439631ee68d860df2d81ed4c75">TDotX</a> (vector v)</td></tr>
<tr class="separator:a0c05ee439631ee68d860df2d81ed4c75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4c39a88aef6f852e0222113d1e6ca76"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#ab4c39a88aef6f852e0222113d1e6ca76">TDotY</a> (vector v)</td></tr>
<tr class="separator:ab4c39a88aef6f852e0222113d1e6ca76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5c38caeec00cb1fc334002aa3b39e14"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#ab5c38caeec00cb1fc334002aa3b39e14">TDotZ</a> (vector v)</td></tr>
<tr class="separator:ab5c38caeec00cb1fc334002aa3b39e14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d981e7d5bf825458fe2fa0562b525ad"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a9d981e7d5bf825458fe2fa0562b525ad">Cofactor</a> (int r1, int c1, int r2, int c2)</td></tr>
<tr class="separator:a9d981e7d5bf825458fe2fa0562b525ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c6063ed7dfd914e7f534366a98f5f80"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a7c6063ed7dfd914e7f534366a98f5f80">Multiply</a> (vector other)</td></tr>
<tr class="separator:a7c6063ed7dfd914e7f534366a98f5f80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8597fe59fa808264f81041db8e2df18e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a8597fe59fa808264f81041db8e2df18e">FromYawPitchRoll</a> (vector ypr)</td></tr>
<tr class="separator:a8597fe59fa808264f81041db8e2df18e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aae8ad2dd2184243fe842bc1b1391a4"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a5aae8ad2dd2184243fe842bc1b1391a4">ToYawPitchRoll</a> ()</td></tr>
<tr class="separator:a5aae8ad2dd2184243fe842bc1b1391a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af827546b8646eefd62be458151161f74"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#af827546b8646eefd62be458151161f74">Multiply</a> (<a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> m)</td></tr>
<tr class="separator:af827546b8646eefd62be458151161f74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9fdc5c30a6dc2af150f052c3cb57c91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#af9fdc5c30a6dc2af150f052c3cb57c91">Multiply</a> (<a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> m, out <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> n)</td></tr>
<tr class="separator:af9fdc5c30a6dc2af150f052c3cb57c91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3380ba14e1d92803200a3a37f3b1df5f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a3380ba14e1d92803200a3a37f3b1df5f">InvMultiply</a> (<a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> m)</td></tr>
<tr class="separator:a3380ba14e1d92803200a3a37f3b1df5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b8452faae7b10bbd9c0eaa6ba3cb1b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a45b8452faae7b10bbd9c0eaa6ba3cb1b">BISAdd</a> (<a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> m)</td></tr>
<tr class="separator:a45b8452faae7b10bbd9c0eaa6ba3cb1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff7ae49a29017f740ebbb7c05d85388e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#aff7ae49a29017f740ebbb7c05d85388e">BISSubtract</a> (<a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> m)</td></tr>
<tr class="separator:aff7ae49a29017f740ebbb7c05d85388e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1223d3c51d9cad6bf834d63ffa709a7b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a1223d3c51d9cad6bf834d63ffa709a7b">BISMultiply</a> (float m)</td></tr>
<tr class="separator:a1223d3c51d9cad6bf834d63ffa709a7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a1288ceb8ba5e8307216208c3ba127b15"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a1288ceb8ba5e8307216208c3ba127b15">Transpose</a> (vector a[3], out vector b[3])</td></tr>
<tr class="separator:a1288ceb8ba5e8307216208c3ba127b15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19d5202ede86c116129bbe59a83b48b3"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a19d5202ede86c116129bbe59a83b48b3">SetRotationX</a> (float angle)</td></tr>
<tr class="separator:a19d5202ede86c116129bbe59a83b48b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a153f86bee888a780168b65f66f5a2d70"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a153f86bee888a780168b65f66f5a2d70">YawPitchRoll</a> (vector ypr)</td></tr>
<tr class="separator:a153f86bee888a780168b65f66f5a2d70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a578167a40c9524dd2eb099a140cad753"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a578167a40c9524dd2eb099a140cad753">Tilda</a> (vector vIn, out <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> mat)</td></tr>
<tr class="separator:a578167a40c9524dd2eb099a140cad753"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d4f4379b2cb2749cc59d1bcbe98891b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a5d4f4379b2cb2749cc59d1bcbe98891b">Multiply</a> (<a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> a, <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> b, out <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> n)</td></tr>
<tr class="separator:a5d4f4379b2cb2749cc59d1bcbe98891b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46cf3747e78f5e77e72bb941299499f4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a46cf3747e78f5e77e72bb941299499f4">DirectionAndUp</a> (vector dir, vector up, out <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> mat)</td></tr>
<tr class="separator:a46cf3747e78f5e77e72bb941299499f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a91e02ed005a7e173a36504fc5e5f4fa9"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#a91e02ed005a7e173a36504fc5e5f4fa9">data</a> [3]</td></tr>
<tr class="separator:a91e02ed005a7e173a36504fc5e5f4fa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa212c2ede422da5b0a728c116bd174a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/db7/class_transform.html">Transform</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dca/class_matrix3.html#afa212c2ede422da5b0a728c116bd174a">m_trans</a></td></tr>
<tr class="separator:afa212c2ede422da5b0a728c116bd174a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d0/d03/matrix3_8c.html">Matrix3.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00013">13</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afb1d1e5f93a16088273f76ab8968119d" name="afb1d1e5f93a16088273f76ab8968119d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb1d1e5f93a16088273f76ab8968119d">&#9670;&#160;</a></span>Matrix3()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Matrix3::Matrix3 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00032">32</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae54a4f20b2699735ca146fc099612865" name="ae54a4f20b2699735ca146fc099612865"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae54a4f20b2699735ca146fc099612865">&#9670;&#160;</a></span>Adjoint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::Adjoint </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00150">150</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a45b8452faae7b10bbd9c0eaa6ba3cb1b" name="a45b8452faae7b10bbd9c0eaa6ba3cb1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45b8452faae7b10bbd9c0eaa6ba3cb1b">&#9670;&#160;</a></span>BISAdd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::BISAdd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>m</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00298">298</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a1223d3c51d9cad6bf834d63ffa709a7b" name="a1223d3c51d9cad6bf834d63ffa709a7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1223d3c51d9cad6bf834d63ffa709a7b">&#9670;&#160;</a></span>BISMultiply()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::BISMultiply </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>m</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00320">320</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="aff7ae49a29017f740ebbb7c05d85388e" name="aff7ae49a29017f740ebbb7c05d85388e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff7ae49a29017f740ebbb7c05d85388e">&#9670;&#160;</a></span>BISSubtract()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::BISSubtract </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>m</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00309">309</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a9d981e7d5bf825458fe2fa0562b525ad" name="a9d981e7d5bf825458fe2fa0562b525ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d981e7d5bf825458fe2fa0562b525ad">&#9670;&#160;</a></span>Cofactor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float Matrix3::Cofactor </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>r1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>c1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>r2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>c2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00184">184</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a46cf3747e78f5e77e72bb941299499f4" name="a46cf3747e78f5e77e72bb941299499f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46cf3747e78f5e77e72bb941299499f4">&#9670;&#160;</a></span>DirectionAndUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Matrix3::DirectionAndUp </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>up</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>mat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00285">285</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a8597fe59fa808264f81041db8e2df18e" name="a8597fe59fa808264f81041db8e2df18e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8597fe59fa808264f81041db8e2df18e">&#9670;&#160;</a></span>FromYawPitchRoll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Matrix3::FromYawPitchRoll </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>ypr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00209">209</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="afaaba2ae21336edd4a92b775a0662887" name="afaaba2ae21336edd4a92b775a0662887"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaaba2ae21336edd4a92b775a0662887">&#9670;&#160;</a></span>Get()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector Matrix3::Get </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>_index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00062">62</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a8ecc0b348cfa0e4923edf0bf4754efd5" name="a8ecc0b348cfa0e4923edf0bf4754efd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ecc0b348cfa0e4923edf0bf4754efd5">&#9670;&#160;</a></span>Invert()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::Invert </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00083">83</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a3380ba14e1d92803200a3a37f3b1df5f" name="a3380ba14e1d92803200a3a37f3b1df5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3380ba14e1d92803200a3a37f3b1df5f">&#9670;&#160;</a></span>InvMultiply()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::InvMultiply </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>m</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00276">276</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a5d4f4379b2cb2749cc59d1bcbe98891b" name="a5d4f4379b2cb2749cc59d1bcbe98891b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d4f4379b2cb2749cc59d1bcbe98891b">&#9670;&#160;</a></span>Multiply() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Matrix3::Multiply </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>n</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00268">268</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="af827546b8646eefd62be458151161f74" name="af827546b8646eefd62be458151161f74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af827546b8646eefd62be458151161f74">&#9670;&#160;</a></span>Multiply() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::Multiply </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>m</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00251">251</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="af9fdc5c30a6dc2af150f052c3cb57c91" name="af9fdc5c30a6dc2af150f052c3cb57c91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9fdc5c30a6dc2af150f052c3cb57c91">&#9670;&#160;</a></span>Multiply() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Matrix3::Multiply </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>n</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00260">260</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a7c6063ed7dfd914e7f534366a98f5f80" name="a7c6063ed7dfd914e7f534366a98f5f80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c6063ed7dfd914e7f534366a98f5f80">&#9670;&#160;</a></span>Multiply() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector Matrix3::Multiply </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00198">198</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a617bad1cdd7cd30638ac380098dac84c" name="a617bad1cdd7cd30638ac380098dac84c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a617bad1cdd7cd30638ac380098dac84c">&#9670;&#160;</a></span>Scaled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::Scaled </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>scale</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00112">112</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a0014d8d6919c655bdcffeeb3d6b977d1" name="a0014d8d6919c655bdcffeeb3d6b977d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0014d8d6919c655bdcffeeb3d6b977d1">&#9670;&#160;</a></span>Set() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Matrix3::Set </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>_index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>_value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00057">57</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="ac9c4e46bf6a7fe0a3e399ae928bd6bc1" name="ac9c4e46bf6a7fe0a3e399ae928bd6bc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9c4e46bf6a7fe0a3e399ae928bd6bc1">&#9670;&#160;</a></span>Set() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Matrix3::Set </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>_index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>_value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00052">52</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a19d5202ede86c116129bbe59a83b48b3" name="a19d5202ede86c116129bbe59a83b48b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19d5202ede86c116129bbe59a83b48b3">&#9670;&#160;</a></span>SetRotationX()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::SetRotationX </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00037">37</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a0c05ee439631ee68d860df2d81ed4c75" name="a0c05ee439631ee68d860df2d81ed4c75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c05ee439631ee68d860df2d81ed4c75">&#9670;&#160;</a></span>TDotX()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float Matrix3::TDotX </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00169">169</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="ab4c39a88aef6f852e0222113d1e6ca76" name="ab4c39a88aef6f852e0222113d1e6ca76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4c39a88aef6f852e0222113d1e6ca76">&#9670;&#160;</a></span>TDotY()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float Matrix3::TDotY </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00174">174</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="ab5c38caeec00cb1fc334002aa3b39e14" name="ab5c38caeec00cb1fc334002aa3b39e14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5c38caeec00cb1fc334002aa3b39e14">&#9670;&#160;</a></span>TDotZ()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float Matrix3::TDotZ </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00179">179</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a578167a40c9524dd2eb099a140cad753" name="a578167a40c9524dd2eb099a140cad753"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a578167a40c9524dd2eb099a140cad753">&#9670;&#160;</a></span>Tilda()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Matrix3::Tilda </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>vIn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a>&#160;</td>
          <td class="paramname"><em>mat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00232">232</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a61f79a9de385fabe313e2155a52f365c" name="a61f79a9de385fabe313e2155a52f365c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61f79a9de385fabe313e2155a52f365c">&#9670;&#160;</a></span>ToQuaternion()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Matrix3::ToQuaternion </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../dc/de3/class_quaternion.html">Quaternion</a>&#160;</td>
          <td class="paramname"><em>quat</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00073">73</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a5aae8ad2dd2184243fe842bc1b1391a4" name="a5aae8ad2dd2184243fe842bc1b1391a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aae8ad2dd2184243fe842bc1b1391a4">&#9670;&#160;</a></span>ToYawPitchRoll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector Matrix3::ToYawPitchRoll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00227">227</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a45d804698e5fcb3fc2abe65de5653caf" name="a45d804698e5fcb3fc2abe65de5653caf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45d804698e5fcb3fc2abe65de5653caf">&#9670;&#160;</a></span>Transpose() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::Transpose </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00131">131</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a1288ceb8ba5e8307216208c3ba127b15" name="a1288ceb8ba5e8307216208c3ba127b15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1288ceb8ba5e8307216208c3ba127b15">&#9670;&#160;</a></span>Transpose() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Matrix3::Transpose </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>a</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out vector&#160;</td>
          <td class="paramname"><em>b</em>[3]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00019">19</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="aec390f63749a4ba555dcab43f06c0981" name="aec390f63749a4ba555dcab43f06c0981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec390f63749a4ba555dcab43f06c0981">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Matrix3::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00067">67</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="a153f86bee888a780168b65f66f5a2d70" name="a153f86bee888a780168b65f66f5a2d70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a153f86bee888a780168b65f66f5a2d70">&#9670;&#160;</a></span>YawPitchRoll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a> Matrix3::YawPitchRoll </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>ypr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00216">216</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a91e02ed005a7e173a36504fc5e5f4fa9" name="a91e02ed005a7e173a36504fc5e5f4fa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91e02ed005a7e173a36504fc5e5f4fa9">&#9670;&#160;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector Matrix3::data[3]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00015">15</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<a id="afa212c2ede422da5b0a728c116bd174a" name="afa212c2ede422da5b0a728c116bd174a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa212c2ede422da5b0a728c116bd174a">&#9670;&#160;</a></span>m_trans</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/db7/class_transform.html">Transform</a> Matrix3::m_trans</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d03/matrix3_8c_source.html#l00017">17</a> of file <a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/math/<a class="el" href="../../d0/d03/matrix3_8c_source.html">matrix3.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/dca/class_matrix3.html">Matrix3</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
